/**
 * DREAM
 * Copyright (C) 2003 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: matthieu.leclercq@inrialpes.fr
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): Vivien Quema
 */

package org.objectweb.dream.channel;

import java.io.IOException;
import java.io.OutputStream;
import java.net.Socket;

/**
 * Reliable implementation of a TCP ChannelIn Component. The ChannelIn sends an
 * ACK.
 */
public class ReliableTCPChannelInImpl extends BasicTCPChannelInImpl
{

  /**
   * Sends an ACK.
   * 
   * @param socket
   * @throws IOException
   */
  protected void sendAck(Socket socket) throws IOException
  {
    OutputStream os = socket.getOutputStream();
    os.write((byte) 0);
    os.flush();
    try
    {
      os.close();
    }
    catch (Exception e)
    {

    }
  }

}